Author Topic: XRef via Layer Control or Transparency  (Read 1844 times)

0 Members and 1 Guest are viewing this topic.

MSTG007

  • Gator
  • Posts: 2598
  • I can't remeber what I already asked! I need help!
XRef via Layer Control or Transparency
« on: June 06, 2017, 09:53:48 AM »
Just wanting to get some thoughts on this. Currently we use Layer Control on all xrefs. Rather than messing with Layer Control and Pen Settings, does it make sense just to "add transparency's" to the xrefs when plotting? User Xrefs the drawing in; then instead of going through layer control. They can apply a 50% Transparency to it; then plot.

Again just getting some thoughts on this...
Civil3D 2020

Rob...

  • King Gator
  • Posts: 3824
  • Take a little time to stop and smell the roses.
Re: XRef via Layer Control or Transparency
« Reply #1 on: June 06, 2017, 11:49:49 AM »
Not a bad idea as long as you can deal with the varying lineweights, if they come up.
CAD Tech

lamarn

  • Swamp Rat
  • Posts: 636
Re: XRef via Layer Control or Transparency
« Reply #2 on: June 06, 2017, 05:14:29 PM »
Yes it makes perfect sense. Transparancy can be used for both 2d/3d purposes

a. underlay in 2d
b. viewing THOUGH (xref) parts and pieces

Therefore i personally use CETRANSPARENCY "Byblock" in stead of "Bylayer" by default on all i get my hand upon ;-)
Just tweak the xref "in one go" by setting it to 60% or 70% in stead of going thought the layermanager..

https://knowledge.autodesk.com/support/autocad/learn-explore/caas/CloudHelp/cloudhelp/2016/ENU/AutoCAD-Core/files/GUID-058580C9-43DE-4770-93C4-3DE1AB2F5287-htm.html


You could tweak this code (source: Cadtutor)



Code: [Select]
;ktool xcolor
;11/4/08
;V.0


(defun c:xcolor ( / acadobj acaddoc acadlays count)
 
(vl-load-com) ;load active x support

 
  (setq acadobj  (vlax-get-acad-object) ;get autocad
acaddoc (vla-get-activeDocument acadobj) ;get active document
acadlays  (vla-get-layers acaddoc ) ;get layers
count      0) ;temporary counter

;set colors
 
  (setq color_source 253 ;>> source layer color, can be changed to any color
color_target 3   ;>> destination color , can be changed to any color
filter  "*|*" )     ;>> filter string, xref xref layer contains "|"

(vlax-for n acadlays
   (if
    (and
      (wcmatch (vla-get-name n) filter ) ;if it meets the filter
      (= (vla-get-color n) color_source) ;& if it matches the color
      )
    (progn
    (vla-put-color n color_target) ;change it to the required color
    (setq count (1+ count)  ;increase counter
  )
    )
    )
  )

(princ (strcat "\n <"(rtos count 2 0)"> Layer(s) changed from color <" (rtos color_source 2 0)"> to <" (rtos color_target 2 0)">" ))
  (princ)
  )

(princ "\nType xcolor to begin :")
(princ)

or take a look at this tool for setting it to "byblock"

http://www.cadtutor.net/forum/showthread.php?100592-Routine-to-set-transparency-byblock&highlight=trbb
Design is something you should do with both hands. My 2d hand , my 3d hand ..

ChrisCarlson

  • Guest
Re: XRef via Layer Control or Transparency
« Reply #3 on: June 07, 2017, 10:01:46 AM »
Just be careful with transparency when it comes to plotting. Each plotter seems to vastly handle transparency different.